//
//  BrowseToolbar.swift
//  BeReal
//
//  Created by Javier Cicchelli on 03/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import SwiftUI

struct BrowseToolbar: ToolbarContent {
    var body: some ToolbarContent {
        ToolbarItem(placement: .primaryAction) {
            Menu {
                Button {
                    // TODO: Implement the creation of a new folder.
                } label: {
                    Label {
                        Text("Create a new folder")
                    } icon: {
                        Image.newFolder
                    }
                }
                
                Button {
                    // TODO: Implement the upload of a file from the device to the API.
                } label: {
                    Label {
                        Text("Upload a file")
                    } icon: {
                        Image.newFile
                    }
                }
            } label: {
                Label {
                    Text("Add file and/or folder")
                } icon: {
                    Image.add
                        .foregroundColor(.red)
                }
            }
        }
        
        ToolbarItem(placement: .navigationBarTrailing) {
            Button {
                // TODO: Implement the show of the user profile.
            } label: {
                Image.profile
                    .foregroundColor(.red)
            }
        }
    }
}

// MARK: - Image+Constants

private extension Image {
    static let profile = Image(systemName: "person.crop.circle.fill")
    static let add = Image(systemName: "plus.circle.fill")
    static let newFolder = Image(systemName: "folder.badge.plus")
    static let newFile = Image(systemName: "doc.badge.plus")
}
